- generic [active] [ref=e1]:
  - checkbox "Toggle sidebar ⌘B" [checked=mixed] [ref=e2]
  - navigation [ref=e3]:
    - list [ref=e4]:
      - generic "Toggle sidebar ⌘B" [ref=e5]
      - listitem [ref=e6]:
        - link "Roomfit v2 — Spec Map" [ref=e7] [cursor=pointer]:
          - /url: ./
    - generic [ref=e8]:
      - searchbox "Search" [ref=e9]
      - text: ⌘K
    - list [ref=e11]:
      - listitem [ref=e12]:
        - link "개요" [ref=e13] [cursor=pointer]:
          - /url: ./
      - listitem [ref=e14]:
        - link "화면" [ref=e15] [cursor=pointer]:
          - /url: ./screens
      - listitem [ref=e16]:
        - link "Use case" [ref=e17] [cursor=pointer]:
          - /url: ./use-cases
      - listitem [ref=e18]:
        - link "시나리오" [ref=e19] [cursor=pointer]:
          - /url: ./scenarios
      - listitem [ref=e20]:
        - link "데이터 흐름" [ref=e21] [cursor=pointer]:
          - /url: ./data-flow
  - generic [ref=e22]:
    - banner [ref=e23]: Roomfit v2 Spec — 자동 추출 + 수동 보강
    - complementary [ref=e24]:
      - navigation [ref=e25]:
        - generic [ref=e26]: Contents
        - list [ref=e27]:
          - listitem [ref=e28]:
            - link "4-tier 그림" [ref=e29] [cursor=pointer]:
              - /url: "#4-tier"
          - listitem [ref=e30]:
            - link "시스템 한눈에" [ref=e31] [cursor=pointer]:
              - /url: "#"
          - listitem [ref=e32]:
            - link "메타" [ref=e33] [cursor=pointer]:
              - /url: "#-1"
    - main [ref=e34]:
      - heading "Roomfit v2 — Spec Map" [level=1] [ref=e35]:
        - link "Roomfit v2 — Spec Map" [ref=e36] [cursor=pointer]:
          - /url: "#roomfit-v2-spec-map"
      - generic [ref=e37]:
        - generic [ref=e38]:
          - heading "화면" [level=2] [ref=e39]
          - generic [ref=e41]: ↻
          - generic [ref=e42]:
            - text: b2c
            - generic [ref=e43]: ↻
            - text: · b2b
            - generic [ref=e44]: ↻
        - generic [ref=e45]:
          - heading "Use case" [level=2] [ref=e46]
          - generic [ref=e48]: ↻
          - generic [ref=e49]: domain layer (packages/)
        - generic [ref=e50]:
          - heading "Provider" [level=2] [ref=e51]
          - generic [ref=e53]: ↻
          - generic [ref=e54]:
            - text: b2c
            - generic [ref=e55]: ↻
            - text: · b2b
            - generic [ref=e56]: ↻
        - generic [ref=e57]:
          - heading "시나리오" [level=2] [ref=e58]
          - generic [ref=e60]: ↻
          - generic [ref=e61]:
            - text: 테스트
            - generic [ref=e62]: ↻
            - text: 건에서 추출
      - generic [ref=e63]:
        - generic [ref=e64]:
          - heading "Command" [level=2] [ref=e65]
          - generic [ref=e67]: ↻
          - generic [ref=e68]: MCU 발사용
        - generic [ref=e69]:
          - heading "Response" [level=2] [ref=e70]
          - generic [ref=e72]: ↻
          - generic [ref=e73]: MCU 수신
        - generic [ref=e74]:
          - heading "Component" [level=2] [ref=e75]
          - generic [ref=e77]: ↻
          - generic [ref=e78]: design_system 공유
        - generic [ref=e79]:
          - heading "Feature" [level=2] [ref=e80]
          - generic [ref=e82]: ↻
          - generic [ref=e83]: app별 폴더
      - heading "4-tier 그림" [level=2] [ref=e84]:
        - link "4-tier 그림" [ref=e85] [cursor=pointer]:
          - /url: "#4-tier"
      - paragraph [ref=e86]: "각 다이어그램은 SQL 결과로 동적 생성:"
      - list [ref=e87]:
        - listitem [ref=e88]:
          - link "화면" [ref=e89] [cursor=pointer]:
            - /url: ./screens
          - text: — 폰 ↔ 코드 매칭, app별 카탈로그, 의존 provider/component
        - listitem [ref=e90]:
          - link "Use case" [ref=e91] [cursor=pointer]:
            - /url: ./use-cases
          - text: — domain class 어디서 쓰이는지 역추적
        - listitem [ref=e92]:
          - link "시나리오" [ref=e93] [cursor=pointer]:
            - /url: ./scenarios
          - text: — testWidgets 시나리오 시간축 + 거치는 화면
        - listitem [ref=e94]:
          - link "데이터 흐름" [ref=e95] [cursor=pointer]:
            - /url: ./data-flow
          - text: — MCU 0x41 → DeviceState → use case → UI 파이프
      - heading "시스템 한눈에" [level=2] [ref=e96]:
        - link "시스템 한눈에" [ref=e97] [cursor=pointer]:
          - /url: "#"
      - heading "메타" [level=2] [ref=e98]:
        - link "메타" [ref=e99] [cursor=pointer]:
          - /url: "#-1"
    - contentinfo [ref=e100]:
      - navigation [ref=e101]:
        - link "Next page 화면" [ref=e102] [cursor=pointer]:
          - /url: ./screens
          - text: Next page
          - generic [ref=e103]: 화면
      - generic [ref=e104]:
        - text: "Source: /Volumes/WorkSSD/Projects/RoomfitV2 · build via"
        - code [ref=e105]: make extract && npm run build